---
title: EventSource.onmessage
slug: Web/API/EventSource/onmessage
tags:
  - API
  - Event Handler
  - EventSource
  - Property
  - Reference
  - Server-sent events
  - onmessage
---
<div>{{APIRef('WebSockets API')}}</div>

<p>The <code><strong>onmessage</strong></code> property of the {{domxref("EventSource")}} interface is an {{domxref("EventHandler")}} called when a {{event("message")}} event is received, that is when a message is coming from the source.</p>

<p>Event objects of <code>onmessage</code> event handers are of type {{domxref("MessageEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">eventSource.onmessage = function</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">evtSource.onmessage = function(e) {
  var newElement = document.createElement("li");

  newElement.textContent = "message: " + e.data;
  eventList.appendChild(newElement);
}</pre>

<div class="note">
<p><strong>Note</strong>: You can find a full example on GitHub — see <a href="https://github.com/mdn/dom-examples/tree/master/server-sent-events">Simple SSE demo using PHP.</a></p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "comms.html#handler-eventsource-onmessage", "onmessage")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<ul>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.EventSource.onmessage")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("EventSource")}}</li>
</ul>
